import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:apco_utils/apco_utils.dart';

void main() {
  const MethodChannel channel = MethodChannel('apco_utils');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    print("Current Time Is : " + ApcoUtils.formatDateTime(DateTime.now(), 0));
  });
}
